SBOPKG(8)

NAME
sbopkg - Le navigateur de paquets SlackBuilds.org

SYNOPSIS
sbopkg [options]

DESCRIPTION
Sbopkg est un outil en ligne de commande ou avec une interface dialog pour utiliser le depôt de SlackBuilds.org ("SBo"), une collection de scripts SlackBuild tiers pour compiler des paquets Slackware.

  Instructions
L'utilisation de Sbopkg suppose une compréhension des scripts SlackBuild en général et du dépôt SlackBuilds.org en particulier. Il est fortement recommandé de lire attentivement https://www.slackbuilds.org/howto/ et les pages traitant des scripts SlackBuild sur https://www.slackwiki.com

Avant de pouvoir utiliser sbopkg, il faut créer le fichier de configuration /etc/sbopkg/sbopkg.conf . et / ou ~/.sbopkg.conf. Une première installation fournit le fichier système à l'utilisateur tandis qu'une mise à jour ajoutera un fichier /etc/sbopkg/sbopkg.conf.new avec lequel l'utilisateur pourra fusionner ou remplacer l'ancienne version. Voir sbopkg.conf(5) pour plus d'information sur les fichiers de configuration.

Sbopkg doit être lancé en tant que root (les Slackbuilds SBo sont écrits pour être utilisés par l'utilisateur root) De plus, utiliser l'option - avec su est fortement recommandé. La raison en est que quelques SlackBuilds dépendent de certains outils disponibles uniquement dans le PATH de root quand les scripts situés dans /etc/profile.d ont été exécutés (par ex. texmf pour construire les pages de manuel), ce qui n'est réalisé que pour les login shells, ou sinon exige un environnement root "plus vrai" que celui fourni par su seulement. Dans tous les cas, appeler sbopkg sans argument (ou seulement avec -d, -f, ou -V) lancera l'interface dialog et les menus affichés devraient être suffisament parlants.

Le menu principal permet à l'utilisateur de se synchroniser avec le dépôt de SBo. C'est la première étape (après la configuration) d'une nouvelle installation de sbopkg. Actuellement la taille d'une copie locale du dépôt SBo vaut environ xxxSIZExxx. Le menu principal permet aussi à l'utilisateur de lire le Changelog de SBo, de rechercher les mises à jour possibles de paquets SBo, d'afficher le contenu du répertoire cache local où sont sauvegardés les sources, d'afficher le journal permanent des compilations et de lister ou de chercher dans la copie locale du dépôt de SBo. Lorsque l'on choisit de naviguer dans la copie locale, on peut choisir la catégorie de programmes dans laquelle on veut aller. Après le choix de cette catégorie, on peut voir les différents programmes disponibles de cette catégorie dans le dépôt SBo local. Sélectionner un paquet affiche un autre menu permettant de lire les fichiers README, SlackBuild, .info, or slack-desc des paquets. L'utilisateur peut aussi modifier les fichiers .info et SlackBuild, les fichiers modifiés seront préservés lors d'une synchronisation. De plus, l'utilisateur peut choisir de construire un paquet en utilisant le SlackBuild d'origine ou la version locale modifiée si elle existe. Si on utilise l'interface dialog et si sbopkg trouve, dans le répertoire OUTPUT , un paquet compilé pour un programme spécifique, sbopkg va automatiquement ajouter un nouveau choix au menu pour permettre à l'utilisateur d'installer ce paquet s'il le souhaite. L'utilisateur peut aussi décider de compiler ou de compiler et installer un seul paquet ou plusieurs paquets listés dans une file de compilation. Finalement, si la variable KEEPLOG vaut YES dans un fichier de configuration, un journal permanent des opérations de compilation est sauvegardé. Voir dans sbopkg.conf(5) les rubriques KEEPLOG et LOGFILE pour plus de détails.

Sbopkg peut aussi être lancé en ligne de commande sans utiliser l'interface dialog . Voir la section OPTIONS pour les options disponibles depuis la ligne de commande.

Sbopkg peut aussi charger, sauvegarder et utiliser des files d'attente crées par l'utilisateur. Ces files d'attente sont de simples fichiers texte comportant une seule application par ligne. Lorsqu'on charge une file d'attente par l'interface de dialogue, l'application est sélectionnée ou "ON". Ce comportement peut être modifié en insérant un "-" devant le nom de l'application dans la file d'attente. Une file d'attente peut aussi contenir d'autres files, dont le nom est alors précédé d'un "@". Pour plus d'informations, lire le fichier readme-queuefiles dans le répertoire de documentation.

Certaines capacités de sbopkg dépendent de binaires externes, comme un afficheur pour lire les fichiers texte quand sbopkg est lancé en ligne de commande et un éditeur pour modifier les fichiers .info ou SlackBuild . La fonction affichage recherche la variable d'environnement PAGER et si celle-ci n'est pas définie, utilise more. De même, la fonction édition recherche la variable EDITOR et si celle-ci n'est pas définie, utilise vi. Si on souhaite que sbopkg utilise un autre éditeur ou un autre pager, l'ajout de l'information requise dans ~/.bashrc, /etc/profile, ou tout autre fichier de configuration semblable (y compris les fichiers de configuration même de sbopkg ) pour exporter la variable appropriée suffira.

OPTIONS

-b PAQUET(s)/QUEUE(s)
    Compile les paquets indiqués dans l'argument à partir du dépôt actif. Si plusieurs paquets sont indiqués, il faut, soit les placer entre guillemets, soit répéter l'option. Dans le deuxième cas, on peut donner une liste d'option séparées par un deux-points. S'il y a des espaces, il faut utiliser les guillemets.

    Par exemple :

        # sbopkg -b "foo bar"

    construira foo et ensuite bar.

    Ou

        # sbopkg -b app1:opt1="foo bar":opt2=baz -b app2:opt="mu"

    construira app1 avec les options ''foo bar'' et ''baz'', et construira app2 avec l'option ''mu''.

    On peut aussi indiquer un nom de file d'attente. Dans ce cas, tous les paquets indiqués dans le fichier de queue seront compilés. Si par hasard, un fichier de file d'attente portait le même nom qu'un paquet (l'utilisateur aurait donné au fichier de file d'attente le nom d'un paquet existant), sbopkg demanderait à l'utilisateur lequel des deux utiliser. Un moyen d'éviter ceci est de préciser le nom de file d'attente avec une extension .sqf. On peut indiquer un mélange de paquets et de files d'attente. Les éléments (noms de paquets ou de files d'attente) sont traités dans l'ordre indiqué dans la ligne de commande ou dans l'ordre de compilation indiqué dans la file d'attente pour celle-ci. Si un paquet est cité plusieurs fois, il ne sera traité que la première fois.

-c  Affiche la liste des paquets SBo installés et des mises à jour possibles.

-d RÉPERTOIRE
    Indique le chemin complet du RÉPERTOIRE contenant le dépôt SBo local.

-e ask|continue|stop
    Indique ce que sbopkg doit faire s'il rencontre une erreur pendant la construction d'un paquet. Les options possibles sont :

    ask: Valeur par défaut, demande à l'utilisateur ce qu'il faut faire.

    continue: Ignore l'erreur et continue le traitement (comme si l'utilisateur répondait "Yes" à toutes les questions).

    stop: Stoppe le processus (comme si l'utilisateur répondait "No" à toutes les questions).

-f FICHIER
    Remplace le fichier de configuration par défaut, /etc/sbopkg/sbopkg.conf, par FICHIER.

-g PAQUET(s)
    Recherche pour un PAQUET(s) à partir d'un motif, insensible à la casse, l'argument est automatiquement entouré par *s. Si on indique plusieurs motifs, il faut les placer entre guillemets ou répéter l'option -g à chaque motif

    Par exemple :

        # sbopkg -g "foo bar"

    renverra une liste des paquets contenant, soit foo, soit bar dans leur nom.

-h  Affiche l'aide.

-i PAQUET(s)/QUEUE(s)
    Compile et installe les paquets indiqués dans l'argument à partir du dépôt actif.

    Pour les détails, voir l'option -b car mis à part la partie installation, ces deux options fonctionnent de la même manière.

    À noter qu'en faisant bien attention à l'ordre des paquets et/ou en utilisant les queues, il est possible de compiler et d'installer les dépendances dans le bon ordre avant le programme principal.

-k  Quand on l'utilise avec -b or -i, cette option demande à sbopkg de passer (c-a-d ne pas construire) tout paquet qui serait déjà installé.

    À noter que celà se réalise avec une simple comparaison de nom, donc quand on utilise cette option, sbopkg sbopkg ne tient pas compte des différences de version.

-l  Affiche le fichier ChangeLog de SBo et quitte le programme.

-o  Affiche la liste des fichiers source installés dans le cache qui sont considérés comme obsolètes et propose de les effacer.

    Les fichiers source sont obsolètes quand plus aucun(s) champ(s) DOWNLOAD du fichier .info ne les mentionne, ce qui peut arriver après avoir synchronisé le dépôt local.

    Notez qu'on utilise seulement le dépôt actuellement actif pour identifier les sources obsolètes, donc si vous utilisez des dépôts différents (pour des versions différentes de Slackware), les fichiers source utilisés uniquement dans "d'autres" dépôts seront quand même affichés.

-P  Affiche les fichiers paquets du cache qui ne sont pas actuellement installés sur le système et propose de les supprimer.

-p  Affiche la liste des paquets SBo installés.

-q  Entre dans le "mode silencieux". Dans ce mode, la sortie de certaines option de ligne de commande est plus succinte.

-R  Lorqu'il est combiné avec -b or -i, affiche le fichier README des paquets à compiler / installer avant de lancer la compilation. Utile pour effectuer un dernier contrôle. Lorqu'il est combiné avec -p, affiche le fichier README de tous les paquets du dépôt en cours qui sont installés.

-r  Synchronise ("rsync") le dépôt local avec SBo et quitte.

-s PAQUET(s)
    Cherche un ou plusieurs PAQUET(s) par un nom précis, sensible à la casse et si trouvé affiche les fichiers README, SlackBuild, .info et slack-desc dans cet ordre pour chaque PAQUET trouvé en utilisant $PAGER. Si on indique plusieurs paquets, ils doivent être mis entre guillemets ou il faut répéter l'option -s pour chaque paquet.

    Par exemple :

        # sbopkg -s "foo bar"

    affichera tous les fichiers indiqués ci-dessus pour des paquets dont les noms sont exactement foo ou bar.

    À noter que les métacaractères du shell peuvent être utilisés dans les arguments. Par exemple,

        # sbopkg -s '*[Oo]pen*'

    renverra tous les paquets comportant "open" ou "Open" n'importe où dans leur nom. Si la réponse comprend plusieurs applications, l'utilisateur pourra effectuer son choix dans un menu.

-u  Vérifie l'existence d'une mise à jour pour sbopkg lui-même et quitte.

-V VERSION
    Définit le dépôt et la version à utiliser.

    Pour obtenir une liste des versions valides, appeler sbopkg ainsi

        # sbopkg -V ?

    Voir la page de manuel sbopkg.conf(5) pour plus d'information sur le dépôt "local".

    Le format de VERSION est présenté dépôt/branche (par ex SBo/13.1). Si le dépôt n'est pas précisé, sbopkg va chercher la branche indiquée dans le dépôt par défaut. Si cette recherche échoue, sbopkg sbopkg va rechercher la première branche qui concorde dans tous les dépôts.

-v  Affiche la version en cours de sbopkg sur la sortie standard.

FICHIERS

/etc/sbopkg/sbopkg.conf
    Fichier système par défaut qui contient les options de configuration.

~/.sbopkg.conf
    Fichier pour remplacer les options de configuration système.

/etc/sbopkg/renames.d/*.renames
    Fichiers contenant la liste des logiciels du dépôt SBo qui ont été renommés. Voir le document README-renames dans le répertoire de documentation de sbopkg pour plus d'information.

/etc/sbopkg/repos.d/*.repo
    Fichiers pour les différents types de dépôts de sbopkg . Voir le document README-repos dans le répertoire de documentation de sbopkg pour plus d'information.

AUTEURS
Willy Sudiarto Raharjo <willysr@sbopkg.org> Chess Griffin <chess@chessgriffin.com>

Mauro Giachero <mauro.giachero@gmail.com>

slakmagik <slakmagik@gmail.com>

VOIR AUSSI
dialog(1), more(1), removepkg(8), rsync(1), sbopkg.conf(5), su(1), upgradepkg(8), vi(1), /usr/doc/sbopkg-xxxVERSIONxxx/*

TRADUCTION
Ce document est une traduction réalisée par M.C Collilieux <mccnews@free.fr/> le 18 mars 2011. N'hésitez pas à signaler au traducteur, toute erreur dans cette page de manuel. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=en man 8 sbopkg ».